Subject: Re: [PATCH] netpoll: allow execution of multiple rx_hooks per interface

From: Daniel Borkmann <[email-masked]>
Date: Thu, 07 Jan 2010 20:06:40 +0100

David Miller wrote:
> From: Matt Mackall <[email-masked]>
> Date: Wed, 06 Jan 2010 21:54:05 -0600
> 
>> Please inline patches so they can be reviewed easily in reply.
>>
>>
>> -       struct netpoll *np = npi->rx_np;
>> +       struct netpoll **np = &npi->rx_np;
>>  
>> -       if (!np)
>> +       if (!(*np))
>>
>> This makes everything horrible. Can you avoid the double indirection?
>> Using a list head might be a good answer.
>>
> 
> Agreed on all counts.
> 

Agreed on the double indirection, I'll fix it.

I've already considered the list_head structure, but then I was the opinion
that a double linked list might not be necessary for this, so I did it that
way ... (compare: kernel notifier by Alan Cox). If you insist on that I'll
fix it of course ;)

Best regards,
Daniel

P.s.: Sorry Matt for not CCing. I mainly took those addresses from Jeffs post.